This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288125 - error: %pre(ovirt-node-3.2.3-29.el6.noarch) scriptlet failed, exit status 42
error: %pre(ovirt-node-3.2.3-29.el6.noarch) scriptlet failed, exit status 42
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.8
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Fabian Deutsch
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 10:32 EST by Martin Cermak
Modified: 2015-12-04 07:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 07:01:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Cermak 2015-12-03 10:32:51 EST
When upgrading ovirt-node (as a side effect of something else) I've hit this:

=======
---> Package ovirt-node.noarch 0:3.2.3-23.el6 will be updated
---> Package ovirt-node.noarch 0:3.2.3-29.el6 will be an update
--> Finished Dependency Resolution
Dependencies Resolved
================================================================================
Package Arch Version Repository Size
================================================================================
Updating:
ovirt-node noarch 3.2.3-29.el6 rhel-x86_64-server-6-rhevh 609 k
Transaction Summary
================================================================================
Upgrade 1 Package(s)
Total download size: 609 k
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 609 k
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Upgrade ovirt-node as a package is not supported.
error: %pre(ovirt-node-3.2.3-29.el6.noarch) scriptlet failed, exit status 42
Error in PREIN scriptlet in rpm package ovirt-node-3.2.3-29.el6.noarch
error: install: %pre scriptlet failed (2), skipping ovirt-node-3.2.3-29.el6
Verifying : ovirt-node-3.2.3-29.el6.noarch 1/2ovirt-node-3.2.3-23.el6.noarch was supposed to be removed but is not!

Verifying : ovirt-node-3.2.3-23.el6.noarch 2/2
Failed:
ovirt-node.noarch 0:3.2.3-23.el6 ovirt-node.noarch 0:3.2.3-29.el6
Complete!
=======

No more details available in the log I have at hand.
Comment 2 Fabian Deutsch 2015-12-04 07:01:03 EST
This behavior is intended, because ovirt-node should not be installed, upgraded, etc on RHEL hosts

Note You need to log in before you can comment on or make changes to this bug.